import { Component, OnInit } from '@angular/core';
import { CommonService } from 'src/app/hmg-common/services/common/common.service';
import { ModalController } from '@ionic/angular';
import { TranslatorService } from 'src/app/hmg-common/services/translator/translator.service';

@Component({
  selector: 'app-submit-eit-modal',
  templateUrl: './submit-address-modal.component.html',
  styleUrls: ['./submit-address-modal.component.scss'],
})
export class SubmitAddressModalComponent implements OnInit {
  submitAttachmentList: any = [];
  eitComments: string;
  constructor(public ts: TranslatorService, private modalCtrl: ModalController, private cs: CommonService) {
    this.submitAttachmentList = this.cs.sharedService.getSharedData('submitAttachmentList', false);
    this.eitComments = this.cs.sharedService.getSharedData('eitComments', false);
  }

  ngOnInit() {
    console.log("modal");
    //this.actionBtns = this.cs.sharedService.getSharedData("passActionMore" , false);
    console.log("modal");

  }
  closeModal() {
    this.modalCtrl.dismiss();
  }


  OkBtnModal() {
    let data = "ok";
    this.modalCtrl.dismiss(data);
  }

}

